PostgreSQL 7.1.3 Documentation
Prev |  | Next

# DROP AGGREGATE

## Name

DROP AGGREGATE -- Removes the definition of an aggregate function

## Synopsis

    DROP AGGREGATE name type

### Inputs

`name`

  The name of an existing aggregate function.

`type`

  The input datatype of an existing aggregate function, or `*` if the function accepts any input type. (Refer to the PostgreSQL User's Guide for further information about data types.)

### Outputs

`DROP`

  Message returned if the command is successful.

`ERROR: RemoveAggregate: aggregate '`agg`' for '`name`' does not exist`

  This message occurs if the aggregate function specified does not exist in the database.

## Description

DROP AGGREGATE will remove all references to an existing aggregate definition. To execute this command the current user must be the owner of the aggregate.

### Notes

Use CREATE AGGREGATE to create aggregate functions.

## Usage

To remove the `myavg` aggregate for type `int4`:

    DROP AGGREGATE myavg int4;

## Compatibility

### SQL92

There is no DROP AGGREGATE statement in SQL92; the statement is a Postgres language extension.

Prev | Home | Next
DELETE | Up | DROP DATABASE